%define		php_name	php%{?php_suffix}
%define		modname		vld
Summary:	%{modname} - provides functionality to dump the internal representation of PHP scripts
Summary(pl.UTF-8):	%{modname} - dostarcza funkcjonalności do zrzutu wewnętrznej reprezentacji skryptów PHP
Name:		%{php_name}-pecl-%{modname}
Version:	0.12.0
Release:	1
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	b2b156f1d4aae486f684872c4350b4fa
URL:		http://pecl.php.net/package/vld/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Vulcan Logic Disassembler hooks into the Zend Engine and dumps all
the opcodes (execution units) of a script.

%description -l pl.UTF-8
Vulcan Logic Disassembler podłącza się do silnika Zend i zwraca
wszystkie jednostki wykonawcze (tzw. opcody) danego skryptu.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc Changelog CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-vld.git;a=log;h=master

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 4afeedd
up to 0.12.0

* Fri Aug 02 2013 Marcin Krol <hawk@tld-linux.org> 9be559f
- release 4 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> f997e42
support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 30968b9
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> a9ff73a
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 54ef1ac
- updated to 0.11.1

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b530571
- release 2

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> e8fc8fb
- release 1

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 2215304
- up to 0.10.1, needs fix for php53

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> f1ec199
- up to 0.9.1
- pl desc reviewed and fixed

* Fri Mar 21 2008 Adam Gołębiowski <adamg@pld-linux.org> 033b08b
- outdated

* Fri Mar 21 2008 Adam Gołębiowski <adamg@pld-linux.org> 077d43d
- updated to 0.9.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 52878ab
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1f64879
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 5aad2d9
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 43a69ea
- rel 7 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> dcf43ec
- BR rpmmacros for fixed %requires_php_extension

* Fri Dec 23 2005 Adam Gołębiowski <adamg@pld-linux.org> 08e9dde
- use ZEND_JMP_NO_CTOR only when it is available (php < 5.1)

* Fri Dec 23 2005 Adam Gołębiowski <adamg@pld-linux.org> ae2665c
- fix build with php5.1
- release 6

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 805a951
- rel 5 (rebuild with new php)

